2026-06-25 09:56:14 UTC
127 MB
true
GODEBUGmadvdontneed=1
LIBBEAT_MONITORING_CGROUPS_HIERARCHY_OVERRIDE/
PATH/usr/share/filebeat:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
containeroci
[#000] sha256:d16bd660d5aff2d8cb434aefeedc41e2a96fcbfce0e10b612181d05ae773b985 - 26.21% (33.3 MB)
[#001] sha256:b9ac901ce600246f19ec3b52ac64988cd9ff81b74631e3b22bed03b72e4e3f08 - 2.97% (3.76 MB)
[#002] sha256:dcb742e8a0947709add128b62561321ddc25231a78fff0ab6fe33cdf1424c3d4 - 0.01% (9.51 KB)
[#003] sha256:daf8b6a42908d51ab4d21a97a145c70e5691aff801a69c3fdc27871ebc390e22 - 0.0% (605 Bytes)
[#004] sha256:722278fa6db8ff74cd7f06300de10a644f759521201a4888cfac49ac50dbe250 - 0.0% (613 Bytes)
[#005] sha256:957dd874c99eba65986108467677309358f380d9b34dddd52959a3e5648f9f79 - 56.35% (71.5 MB)
[#006] sha256:d98d7e51af2d06785f6909214ace1ff81ad7a1c5d1caeafc1df29a09f05c4a67 - 0.0% (123 Bytes)
[#007] sha256:34d36b0c43ac64f686a134645abd44c5f0846d02d61ce49809f4e86211813da0 - 0.0% (5.42 KB)
[#008] sha256:56dda83b78e36e636b8fa66b393ba9b32f4be32501f68dad3c6a10593126d7fd - 0.18% (228 KB)
[#009] sha256:b37e4055053de707c98c124f223cc96c17dfbb6faab4d67f0a77d8d475c4f90a - 0.0% (515 Bytes)
[#010] sha256:0401da418a8a8cba4a56b4a0e85b972db56fd50390336ef25f4fe6b00664b32d - 0.0% (1.12 KB)
[#011] sha256:00060137904b51a1c0c6408103c913f277b046e823046dd0a051a2ab4166ba41 - 14.29% (18.1 MB)
[#012] sha256:bd9ddc54bea929a22b334e73e026d4136e5b73f5cc29942896c72e4ece69b13d - 0.0% (34 Bytes)
/bin/sh -c #(nop) LABEL maintainer="Red Hat, Inc."
2026-06-24 06:40:14 UTC/bin/sh -c #(nop) LABEL vendor="Red Hat, Inc."
2026-06-24 06:40:14 UTC/bin/sh -c #(nop) LABEL url="https://catalog.redhat.com/en/search?searchType=containers"
2026-06-24 06:40:14 UTC/bin/sh -c #(nop) LABEL com.redhat.component="ubi10-minimal-container" name="ubi10/ubi-minimal" version="10.2" cpe="cpe:/o:redhat:enterprise_linux:10.2" distribution-scope="public"
2026-06-24 06:40:14 UTC/bin/sh -c #(nop) LABEL com.redhat.license_terms="https://www.redhat.com/en/about/red-hat-end-user-license-agreements#UBI"
2026-06-24 06:40:14 UTC/bin/sh -c #(nop) LABEL summary="Provides the latest release of the minimal Red Hat Universal Base Image 10."
2026-06-24 06:40:14 UTC/bin/sh -c #(nop) LABEL description="The Universal Base Image Minimal is a stripped down image that uses microdnf as a package manager. This base image is freely redistributable, but Red Hat only supports Red Hat technologies through subscriptions for Red Hat products. This image is maintained by Red Hat and updated regularly."
2026-06-24 06:40:14 UTC/bin/sh -c #(nop) LABEL io.k8s.description="The Universal Base Image Minimal is a stripped down image that uses microdnf as a package manager. This base image is freely redistributable, but Red Hat only supports Red Hat technologies through subscriptions for Red Hat products. This image is maintained by Red Hat and updated regularly."
2026-06-24 06:40:14 UTC/bin/sh -c #(nop) LABEL io.k8s.display-name="Red Hat Universal Base Image 10 Minimal"
2026-06-24 06:40:14 UTC/bin/sh -c #(nop) LABEL io.openshift.expose-services=""
2026-06-24 06:40:14 UTC/bin/sh -c #(nop) LABEL io.openshift.tags="minimal rhel10"
2026-06-24 06:40:14 UTC/bin/sh -c #(nop) ENV container oci
2026-06-24 06:40:14 UTC/bin/sh -c #(nop) COPY dir:92709e786f8e662d73459e8ec6b629a535dce92ae9fcad21b6d7b00ac6803604 in /
2026-06-24 06:40:14 UTC/bin/sh -c #(nop) COPY file:5de33b5fc08b00635bccf9134a18978dba13e2250aa51838f9969515a3957847 in /etc/yum.repos.d/.
2026-06-24 06:40:14 UTC/bin/sh -c #(nop) CMD ["/bin/bash"]
2026-06-24 06:40:14 UTC/bin/sh -c #(nop) COPY dir:e8e2b7cb869a17d32d7452a63fca2737847da7b62b5d0406fabbac5267964ccc in /usr/share/buildinfo/
2026-06-24 06:40:15 UTC/bin/sh -c #(nop) COPY dir:e8e2b7cb869a17d32d7452a63fca2737847da7b62b5d0406fabbac5267964ccc in /root/buildinfo/
2026-06-24 06:40:15 UTC/bin/sh -c #(nop) LABEL "org.opencontainers.image.created"="2026-06-24T06:39:51Z" "org.opencontainers.image.revision"="fcffc2222455e28601e0105a0a1e9a211f7127c7" "build-date"="2026-06-24T06:39:51Z" "architecture"="x86_64" "vcs-ref"="fcffc2222455e28601e0105a0a1e9a211f7127c7" "vcs-type"="git" "release"="1782283038"org.opencontainers.image.created=2026-06-24T06:39:51Z,org.opencontainers.image.revision=fcffc2222455e28601e0105a0a1e9a211f7127c7
2026-06-25 09:55:54 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c for iter in {1..10}; do microdnf -y update && microdnf -y install findutils shadow-utils ca-certificates gawk libcap xz tar && microdnf clean all && exit_code=0 && break || exit_code=$? && echo "microdnf error: retry $iter in 10s" && sleep 10; done; (exit $exit_code) # buildkit
2026-06-25 09:55:57 UTC (buildkit.dockerfile.v0)LABEL org.label-schema.build-date=2026-06-25T09:49:12Z org.label-schema.schema-version=1.0 org.label-schema.vendor=Elastic org.label-schema.license=Elastic License org.label-schema.name=filebeat org.label-schema.version=9.4.3 org.label-schema.url=https://www.elastic.co/beats/filebeat org.label-schema.vcs-url=github.com/elastic/beats/v7 org.label-schema.vcs-ref=f81a982a107ef6e450ae5c0deb634fffe8be3404 io.k8s.description=Filebeat sends log files to Logstash or directly to Elasticsearch. io.k8s.display-name=Filebeat image org.opencontainers.image.created=2026-06-25T09:49:12Z org.opencontainers.image.licenses=Elastic License org.opencontainers.image.title=Filebeat org.opencontainers.image.vendor=Elastic org.opencontainers.image.authors=infra@elastic.co maintainer=infra@elastic.co name=filebeat vendor=Elastic version=9.4.3 release=1 url=https://www.elastic.co/beats/filebeat summary=filebeat license=Elastic License description=Filebeat sends log files to Logstash or directly to Elasticsearch.
2026-06-25 09:55:57 UTC (buildkit.dockerfile.v0)ENV ELASTIC_CONTAINER=true
2026-06-25 09:55:57 UTC (buildkit.dockerfile.v0)ENV PATH=/usr/share/filebeat:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
2026-06-25 09:55:57 UTC (buildkit.dockerfile.v0)ENV GODEBUG=madvdontneed=1
2026-06-25 09:55:57 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -e ; TINI_BIN=""; TINI_SHA256=""; TINI_VERSION="v0.19.0"; echo "The arch value is $(arch)"; case "$(arch)" in x86_64) TINI_BIN="tini-amd64"; TINI_SHA256="93dcc18adc78c65a028a84799ecf8ad40c936fdfc5f2a57b1acda5a8117fa82c"; ;; aarch64) TINI_BIN="tini-arm64"; TINI_SHA256="07952557df20bfd2a95f9bef198b445e006171969499a1d361bd9e6f8e5e0e81"; ;; *) echo >&2 ; echo >&2 "Unsupported architecture \$(arch)" ; echo >&2 ; exit 1 ; ;; esac ; curl --retry 8 -S -L -O "https://github.com/krallin/tini/releases/download/${TINI_VERSION}/${TINI_BIN}" ; echo "${TINI_SHA256} ${TINI_BIN}" | sha256sum -c - ; mv "${TINI_BIN}" /usr/bin/tini ; chmod +x /usr/bin/tini # buildkit
2026-06-25 09:55:57 UTC (buildkit.dockerfile.v0)COPY docker-entrypoint /usr/local/bin/docker-entrypoint # buildkit
2026-06-25 09:55:57 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c chmod 755 /usr/local/bin/docker-entrypoint # buildkit
2026-06-25 09:56:09 UTC (buildkit.dockerfile.v0)COPY /usr/share/filebeat /usr/share/filebeat # buildkit
2026-06-25 09:56:09 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c mkdir /licenses # buildkit
2026-06-25 09:56:09 UTC (buildkit.dockerfile.v0)COPY /usr/share/filebeat/LICENSE.txt /licenses # buildkit
2026-06-25 09:56:09 UTC (buildkit.dockerfile.v0)COPY /usr/share/filebeat/NOTICE.txt /licenses # buildkit
2026-06-25 09:56:09 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c groupadd --gid 1000 filebeat # buildkit
2026-06-25 09:56:10 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c useradd -M --uid 1000 --gid 1000 --groups 0 --home /usr/share/filebeat filebeat # buildkit
2026-06-25 09:56:14 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c for iter in {1..10}; do microdnf -y update && microdnf -y install systemd && microdnf clean all && exit_code=0 && break || exit_code=$? && echo "microdnf error: retry $iter in 10s" && sleep 10; done; (exit $exit_code) # buildkit
2026-06-25 09:56:14 UTC (buildkit.dockerfile.v0)USER 1000
2026-06-25 09:56:14 UTC (buildkit.dockerfile.v0)ENV LIBBEAT_MONITORING_CGROUPS_HIERARCHY_OVERRIDE=/
2026-06-25 09:56:14 UTC (buildkit.dockerfile.v0)WORKDIR /usr/share/filebeat
2026-06-25 09:56:14 UTC (buildkit.dockerfile.v0)ENTRYPOINT ["/usr/bin/tini" "--" "/usr/local/bin/docker-entrypoint"]
2026-06-25 09:56:14 UTC (buildkit.dockerfile.v0)CMD ["--environment" "container"]
2026-06-25 10:04:42 UTC
115 MB
true
GODEBUGmadvdontneed=1
LIBBEAT_MONITORING_CGROUPS_HIERARCHY_OVERRIDE/
PATH/usr/share/filebeat:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
containeroci
[#000] sha256:6bcf33c78aa091990500f016c1ed0cb35bc3f67461b918afc9de35f0b601382c - 27.5% (31.5 MB)
[#001] sha256:edd687631f414259bc8e0c0c650a3bf1af477df741a02c0564d35b63afea5c84 - 3.24% (3.71 MB)
[#002] sha256:bf16107c3f050d0e6011b0606b94d3e4ef96dbb4976281ca562307fb515b4cf8 - 0.01% (9.07 KB)
[#003] sha256:272e6c48355f8238020ad54a39530ab4df83379a0e85860c3eec0112b43b79e9 - 0.0% (606 Bytes)
[#004] sha256:cbcc84a4c8a077b9ed42f6b49cb961d46553d6617a328c56167e3e2419796ff7 - 0.0% (615 Bytes)
[#005] sha256:f1675167068ae085c7ca5210e1905af50314c7cfe2555c8cc8970e71f81d03e9 - 53.55% (61.4 MB)
[#006] sha256:bf769e3a71207c7cc14117d0c0c73de630b3b55ada4f32f30bc8691e4c28ef77 - 0.0% (123 Bytes)
[#007] sha256:545d6e1d61611a0945afa8c156079cc3d15398df34151680d1c80db48b4489a7 - 0.0% (5.42 KB)
[#008] sha256:dda9cdcb48019c4ea206d042cbf43b7785c3b94f8afbaaf12a5582a1a5890205 - 0.19% (228 KB)
[#009] sha256:0de63744b63d9bc15a5a7ab98371fc638b86d83f308d6252fdf264429f087e12 - 0.0% (515 Bytes)
[#010] sha256:98d1fb9f2495b95e4a28b132f908089484460f2874648d4a9688a8e54e063f66 - 0.0% (1.1 KB)
[#011] sha256:ef9b674d2506456c3275eae9306083e0612f178160fe148b1524e0639dbdcedd - 15.51% (17.8 MB)
[#012] sha256:bd9ddc54bea929a22b334e73e026d4136e5b73f5cc29942896c72e4ece69b13d - 0.0% (34 Bytes)
/bin/sh -c #(nop) LABEL maintainer="Red Hat, Inc."
2026-06-24 06:45:17 UTC/bin/sh -c #(nop) LABEL vendor="Red Hat, Inc."
2026-06-24 06:45:17 UTC/bin/sh -c #(nop) LABEL url="https://catalog.redhat.com/en/search?searchType=containers"
2026-06-24 06:45:18 UTC/bin/sh -c #(nop) LABEL com.redhat.component="ubi10-minimal-container" name="ubi10/ubi-minimal" version="10.2" cpe="cpe:/o:redhat:enterprise_linux:10.2" distribution-scope="public"
2026-06-24 06:45:18 UTC/bin/sh -c #(nop) LABEL com.redhat.license_terms="https://www.redhat.com/en/about/red-hat-end-user-license-agreements#UBI"
2026-06-24 06:45:18 UTC/bin/sh -c #(nop) LABEL summary="Provides the latest release of the minimal Red Hat Universal Base Image 10."
2026-06-24 06:45:18 UTC/bin/sh -c #(nop) LABEL description="The Universal Base Image Minimal is a stripped down image that uses microdnf as a package manager. This base image is freely redistributable, but Red Hat only supports Red Hat technologies through subscriptions for Red Hat products. This image is maintained by Red Hat and updated regularly."
2026-06-24 06:45:18 UTC/bin/sh -c #(nop) LABEL io.k8s.description="The Universal Base Image Minimal is a stripped down image that uses microdnf as a package manager. This base image is freely redistributable, but Red Hat only supports Red Hat technologies through subscriptions for Red Hat products. This image is maintained by Red Hat and updated regularly."
2026-06-24 06:45:18 UTC/bin/sh -c #(nop) LABEL io.k8s.display-name="Red Hat Universal Base Image 10 Minimal"
2026-06-24 06:45:18 UTC/bin/sh -c #(nop) LABEL io.openshift.expose-services=""
2026-06-24 06:45:18 UTC/bin/sh -c #(nop) LABEL io.openshift.tags="minimal rhel10"
2026-06-24 06:45:18 UTC/bin/sh -c #(nop) ENV container oci
2026-06-24 06:45:18 UTC/bin/sh -c #(nop) COPY dir:0b29f9e66bf048f7202a79e2f728b8f136d2a972d39ff75508b0f9653d433ed0 in /
2026-06-24 06:45:18 UTC/bin/sh -c #(nop) COPY file:5de33b5fc08b00635bccf9134a18978dba13e2250aa51838f9969515a3957847 in /etc/yum.repos.d/.
2026-06-24 06:45:18 UTC/bin/sh -c #(nop) CMD ["/bin/bash"]
2026-06-24 06:45:19 UTC/bin/sh -c #(nop) COPY dir:1852be49c9caac8615951d68388d7f8791140b539cc11bfda91b044119d75a5d in /usr/share/buildinfo/
2026-06-24 06:45:19 UTC/bin/sh -c #(nop) COPY dir:1852be49c9caac8615951d68388d7f8791140b539cc11bfda91b044119d75a5d in /root/buildinfo/
2026-06-24 06:45:19 UTC/bin/sh -c #(nop) LABEL "org.opencontainers.image.created"="2026-06-24T06:44:57Z" "org.opencontainers.image.revision"="fcffc2222455e28601e0105a0a1e9a211f7127c7" "build-date"="2026-06-24T06:44:57Z" "architecture"="aarch64" "vcs-ref"="fcffc2222455e28601e0105a0a1e9a211f7127c7" "vcs-type"="git" "release"="1782283038"org.opencontainers.image.created=2026-06-24T06:44:57Z,org.opencontainers.image.revision=fcffc2222455e28601e0105a0a1e9a211f7127c7
2026-06-25 10:04:23 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c for iter in {1..10}; do microdnf -y update && microdnf -y install findutils shadow-utils ca-certificates gawk libcap xz tar && microdnf clean all && exit_code=0 && break || exit_code=$? && echo "microdnf error: retry $iter in 10s" && sleep 10; done; (exit $exit_code) # buildkit
2026-06-25 10:04:23 UTC (buildkit.dockerfile.v0)LABEL org.label-schema.build-date=2026-06-25T09:50:53Z org.label-schema.schema-version=1.0 org.label-schema.vendor=Elastic org.label-schema.license=Elastic License org.label-schema.name=filebeat org.label-schema.version=9.4.3 org.label-schema.url=https://www.elastic.co/beats/filebeat org.label-schema.vcs-url=github.com/elastic/beats/v7 org.label-schema.vcs-ref=f81a982a107ef6e450ae5c0deb634fffe8be3404 io.k8s.description=Filebeat sends log files to Logstash or directly to Elasticsearch. io.k8s.display-name=Filebeat image org.opencontainers.image.created=2026-06-25T09:50:53Z org.opencontainers.image.licenses=Elastic License org.opencontainers.image.title=Filebeat org.opencontainers.image.vendor=Elastic org.opencontainers.image.authors=infra@elastic.co maintainer=infra@elastic.co name=filebeat vendor=Elastic version=9.4.3 release=1 url=https://www.elastic.co/beats/filebeat summary=filebeat license=Elastic License description=Filebeat sends log files to Logstash or directly to Elasticsearch.
2026-06-25 10:04:23 UTC (buildkit.dockerfile.v0)ENV ELASTIC_CONTAINER=true
2026-06-25 10:04:23 UTC (buildkit.dockerfile.v0)ENV PATH=/usr/share/filebeat:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
2026-06-25 10:04:23 UTC (buildkit.dockerfile.v0)ENV GODEBUG=madvdontneed=1
2026-06-25 10:04:23 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -e ; TINI_BIN=""; TINI_SHA256=""; TINI_VERSION="v0.19.0"; echo "The arch value is $(arch)"; case "$(arch)" in x86_64) TINI_BIN="tini-amd64"; TINI_SHA256="93dcc18adc78c65a028a84799ecf8ad40c936fdfc5f2a57b1acda5a8117fa82c"; ;; aarch64) TINI_BIN="tini-arm64"; TINI_SHA256="07952557df20bfd2a95f9bef198b445e006171969499a1d361bd9e6f8e5e0e81"; ;; *) echo >&2 ; echo >&2 "Unsupported architecture \$(arch)" ; echo >&2 ; exit 1 ; ;; esac ; curl --retry 8 -S -L -O "https://github.com/krallin/tini/releases/download/${TINI_VERSION}/${TINI_BIN}" ; echo "${TINI_SHA256} ${TINI_BIN}" | sha256sum -c - ; mv "${TINI_BIN}" /usr/bin/tini ; chmod +x /usr/bin/tini # buildkit
2026-06-25 10:04:23 UTC (buildkit.dockerfile.v0)COPY docker-entrypoint /usr/local/bin/docker-entrypoint # buildkit
2026-06-25 10:04:23 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c chmod 755 /usr/local/bin/docker-entrypoint # buildkit
2026-06-25 10:04:36 UTC (buildkit.dockerfile.v0)COPY /usr/share/filebeat /usr/share/filebeat # buildkit
2026-06-25 10:04:36 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c mkdir /licenses # buildkit
2026-06-25 10:04:36 UTC (buildkit.dockerfile.v0)COPY /usr/share/filebeat/LICENSE.txt /licenses # buildkit
2026-06-25 10:04:37 UTC (buildkit.dockerfile.v0)COPY /usr/share/filebeat/NOTICE.txt /licenses # buildkit
2026-06-25 10:04:37 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c groupadd --gid 1000 filebeat # buildkit
2026-06-25 10:04:37 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c useradd -M --uid 1000 --gid 1000 --groups 0 --home /usr/share/filebeat filebeat # buildkit
2026-06-25 10:04:42 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c for iter in {1..10}; do microdnf -y update && microdnf -y install systemd && microdnf clean all && exit_code=0 && break || exit_code=$? && echo "microdnf error: retry $iter in 10s" && sleep 10; done; (exit $exit_code) # buildkit
2026-06-25 10:04:42 UTC (buildkit.dockerfile.v0)USER 1000
2026-06-25 10:04:42 UTC (buildkit.dockerfile.v0)ENV LIBBEAT_MONITORING_CGROUPS_HIERARCHY_OVERRIDE=/
2026-06-25 10:04:42 UTC (buildkit.dockerfile.v0)WORKDIR /usr/share/filebeat
2026-06-25 10:04:42 UTC (buildkit.dockerfile.v0)ENTRYPOINT ["/usr/bin/tini" "--" "/usr/local/bin/docker-entrypoint"]
2026-06-25 10:04:42 UTC (buildkit.dockerfile.v0)CMD ["--environment" "container"]
Please be careful as this will not just delete the reference but also the actual content!
For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.